DELETE V1/BudgetAndForecasting.{ext}/DeleteForeCastMethod?ForeCastMethodId={ForeCastMethodId}

This API is used to delete forecast details.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ForeCastMethodId

No description available

integer

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

EMSResponseOfEMS.BudgetAndForecasting.Entities.ForeCastingDetails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.BudgetAndForecasting.Entities.ForeCastingDetails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "ForeCastingDetails",
  "response": {
    "foreCastingData": [
      {
        "foreCastMethodId": 1,
        "foreCastMethodName": "sample string 2",
        "foreCastFactor": "sample string 3",
        "foreCastDefinition": "sample string 4",
        "foreCastValue": "sample string 5",
        "foreCastType": "sample string 6",
        "status": true,
        "createdUser": "sample string 8",
        "createdDate": "sample string 9",
        "modifiedUser": "sample string 10",
        "modifiedDate": "sample string 11",
        "inventoryName": "sample string 12",
        "effectiveDate": "sample string 13",
        "fromMonth": 14,
        "fromYear": 15,
        "toMonth": 16,
        "toYear": 17,
        "inventoryId": 18,
        "budgetModel": "sample string 19"
      },
      {
        "foreCastMethodId": 1,
        "foreCastMethodName": "sample string 2",
        "foreCastFactor": "sample string 3",
        "foreCastDefinition": "sample string 4",
        "foreCastValue": "sample string 5",
        "foreCastType": "sample string 6",
        "status": true,
        "createdUser": "sample string 8",
        "createdDate": "sample string 9",
        "modifiedUser": "sample string 10",
        "modifiedDate": "sample string 11",
        "inventoryName": "sample string 12",
        "effectiveDate": "sample string 13",
        "fromMonth": 14,
        "fromYear": 15,
        "toMonth": 16,
        "toYear": 17,
        "inventoryId": 18,
        "budgetModel": "sample string 19"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.